
Cognitive Interaction Toolkit - Bug #415

Slash in git branch causes failure when populating jenkins with jobs

2015-08-12 17:48 - Lars Schillingmann

Status: Resolved Start date: 2015-08-12

Priority: Normal Due date:  

Assignee: Jan Moringen % Done: 100%

Category: build-generator Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

 <INFO> [17:29:38] [main thread] jenkins.project classes-model.lisp (deploy job) - Creating new job #<JOB

 ffmpeg-release/2.7-toolkit-ffmpeg-stable {EF9A3C9}>

Error during deployment of #<PROJECT ffmpeg {10359451}> » #<VERSION ffmpeg:release/2.7 {1043AF71}> » #<JOB

 ffmpeg:release/2.7:toolkit {104F4F71}> Caused by:

> Request failed (code 400):

History

#1 - 2015-08-12 17:52 - Florian Lier

- Assignee changed from Florian Lier to Jan Moringen

#2 - 2015-08-13 11:25 - Johannes Wienke

/ is an illegal character for job names in Jenkins. So there should be a replacement rule for this exception in the job generator.

#3 - 2015-08-13 18:48 - Jan Moringen

- Status changed from New to In Progress

- % Done changed from 0 to 50

#4 - 2015-08-13 19:29 - Jan Moringen

- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

Fixed in upstream project.
